summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorfukachan <fukachan>2001-10-08 15:42:01 +0000
committerfukachan <fukachan>2001-10-08 15:42:01 +0000
commit9beebf107dfc493e52ac5d57d117599e0dfa4838 (patch)
tree97f34535370cc2c59979401faa5107e824b6223b
parentf301de76ac9e7539744e3d1de192fb2cfab2fc4b (diff)
downloadfml8-9beebf107dfc493e52ac5d57d117599e0dfa4838.tar.gz
fml8-9beebf107dfc493e52ac5d57d117599e0dfa4838.tar.bz2
fml8-9beebf107dfc493e52ac5d57d117599e0dfa4838.zip
add simple command mode emulator
-rwxr-xr-xregress/simulation/test-ctl.sh39
1 files changed, 39 insertions, 0 deletions
diff --git a/regress/simulation/test-ctl.sh b/regress/simulation/test-ctl.sh
new file mode 100755
index 00000000..6072cde3
--- /dev/null
+++ b/regress/simulation/test-ctl.sh
@@ -0,0 +1,39 @@
+#!/bin/sh
+#
+# $FML: test.sh,v 1.8 2001/04/14 14:35:08 fukachan Exp $
+#
+
+DO () {
+ (
+ pwd=`pwd`
+ cd ../.. || exit 1
+ pwd
+
+ test -f $msg || return;
+
+ regress/message/scramble.pl $msg |\
+ ${PERL:-perl} -w fml/libexec/loader \
+ --params pwd=$PWD \
+ -c $pwd/main.cf \
+ --ctladdr \
+ /var/spool/ml/elena
+ echo "-- exit code: $?"
+ )
+}
+
+if [ "X$*" != X ];then
+ list=$*
+else
+ pwd=`pwd`
+ list=$pwd/../testmails/text=plain.command
+fi
+
+(cd ../../fml/etc/;sh .gen.sh)
+
+for msg in $list
+do
+ DO $msg
+done
+
+exit 0
+